Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingGetIndices

Get global indices for every local point that is mapped

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingGetIndices(ISLocalToGlobalMapping ltog, const PetscInt **array)

Not Collective

## Input Parameter

- ltog - local to global mapping

## Output Parameter

- array - array of indices, the length of this array may be obtained with `ISLocalToGlobalMappingGetSize()`

## Note

`ISLocalToGlobalMappingGetSize()` returns the length the this array

## See Also

Low-level Vector Communication, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingApply()`, `ISLocalToGlobalMappingRestoreIndices()`, `ISLocalToGlobalMappingGetBlockIndices()`, `ISLocalToGlobalMappingRestoreBlockIndices()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

## Examples

src/ksp/ksp/tutorials/ex49.c
src/ksp/ksp/tutorials/ex43.c
src/ksp/ksp/tutorials/ex70.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages